> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get packages



## OpenAPI

````yaml /openapi/document.json get /v2/documents/packages/
openapi: 3.0.3
info:
  title: Yume API — Документы
  version: 1.0.0
  description: Шаблоны и генерация документов.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v2/documents/packages/:
    get:
      tags:
        - packages
      summary: Get packages
      operationId: packages_list
      parameters:
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentPackage'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    DocumentPackage:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        tariff:
          allOf:
            - $ref: '#/components/schemas/IntegrationPeriodShort'
          readOnly: true
        total:
          type: integer
          readOnly: true
        used:
          type: integer
          readOnly: true
        remaining:
          type: integer
          readOnly: true
        is_active:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - is_active
        - remaining
        - tariff
        - total
        - used
    IntegrationPeriodShort:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        amount:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Количество
          description: Количество
        months:
          allOf:
            - $ref: '#/components/schemas/MonthsEnum'
          title: Количество месяцев
          description: |-
            Длительность тарифа в месяцах

            * `1` - 1 месяц
            * `3` - 3 месяца
            * `6` - 6 месяцев
            * `12` - 12 месяцев
          minimum: -32768
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена
          description: Цена тарифа
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          title: Валюта
          description: |-
            Валюта тарифа

            * `KZT` - KZT
            * `USD` - USD
            * `RUB` - RUB
            * `EUR` - EUR
            * `UZS` - UZS
            * `KGS` - KGS
            * `AED` - AED
            * `SAR` - SAR
      required:
        - id
    MonthsEnum:
      enum:
        - 1
        - 3
        - 6
        - 12
      type: integer
      description: |-
        * `1` - 1 месяц
        * `3` - 3 месяца
        * `6` - 6 месяцев
        * `12` - 12 месяцев
    CurrencyEnum:
      enum:
        - KZT
        - USD
        - RUB
        - EUR
        - UZS
        - KGS
        - AED
        - SAR
      type: string
      description: |-
        * `KZT` - KZT
        * `USD` - USD
        * `RUB` - RUB
        * `EUR` - EUR
        * `UZS` - UZS
        * `KGS` - KGS
        * `AED` - AED
        * `SAR` - SAR
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````